<?php
/**
 * @file
 * popsu_villes.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_villes_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_villes_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_villes_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-villes-grande-image.
  $styles['popsu-villes-grande-image'] = array(
    'label' => 'popsu-villes-grande-image',
    'effects' => array(
      21 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 485,
          'height' => 324,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: popsu-villes-listing-small.
  $styles['popsu-villes-listing-small'] = array(
    'label' => 'popsu-villes-listing-small',
    'effects' => array(
      5 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 101,
          'height' => 87,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_villes_node_info() {
  $items = array(
    'popsu_ville' => array(
      'name' => t('Fiche ville'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer la fiche de présentation d\'une ville pour un POPSU donné.'),
      'has_title' => '1',
      'title_label' => t('Nom de la ville'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
